Jms102bSupport (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.jms.Jms102bSupport class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms
Class Jms102bSupport

    java.lang.Object
      org.mule.transport.jms.Jms11Support
          org.mule.transport.jms.Jms102bSupport

All Implemented Interfaces:
  JmsSupport

    public class Jms102bSupport

extends Jms11Support

`Jms102bSupport` is a template class to provide an absstraction to to the Jms 1.0.2b api specification.

Field Summary

Fields inherited from class org.mule.transport.jms.Jms11Support
`connector, logger`

Constructor Summary
`Jms102bSupport(JmsConnector connector)`

Method Summary
`Connection` | `createConnection(ConnectionFactory connectionFactory)`
`Connection` | `createConnection(ConnectionFactory connectionFactory, String username, String password)`
`MessageConsumer` | `createConsumer(Session session, Destination destination, String messageSelector, boolean noLocal, String durableName, boolean topic)`
`Destination` | `createDestination(Session session, String name, boolean topic)`
`MessageProducer` | `createProducer(Session session, Destination dest, boolean topic)`
`Session` | `createSession(Connection connection, boolean topic, boolean transacted, int ackMode, boolean noLocal)`
`Destination` | `createTemporaryDestination(Session session, boolean topic)`
`void` | `send(MessageProducer producer, Message message, boolean persistent, int priority, long ttl, boolean topic)`
`void` | `send(MessageProducer producer, Message message, Destination dest, boolean persistent, int priority, long ttl, boolean topic)`

Methods inherited from class org.mule.transport.jms.Jms11Support
`createConsumer, createDestination, getJndiDestination, send, send`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jms102bSupport

    public Jms102bSupport(JmsConnector connector)

Method Detail

### createConnection

    public Connection createConnection(ConnectionFactory connectionFactory,
                                       String username,
                                       String password)
                                throws JMSException

  Specified by:
    `createConnection` in interface `JmsSupport`
  Overrides:
    `createConnection` in class `Jms11Support`
  Throws:
    `JMSException`

### createConnection

    public Connection createConnection(ConnectionFactory connectionFactory)
                                throws JMSException

  Specified by:
    `createConnection` in interface `JmsSupport`
  Overrides:
    `createConnection` in class `Jms11Support`
  Throws:
    `JMSException`

### createSession

    public Session createSession(Connection connection,
                                 boolean topic,
                                 boolean transacted,
                                 int ackMode,
                                 boolean noLocal)
                          throws JMSException

  Specified by:
    `createSession` in interface `JmsSupport`
  Overrides:
    `createSession` in class `Jms11Support`
  Throws:
    `JMSException`

### createConsumer

    public MessageConsumer createConsumer(Session session,
                                          Destination destination,
                                          String messageSelector,
                                          boolean noLocal,
                                          String durableName,
                                          boolean topic)
                                   throws JMSException

  Specified by:
    `createConsumer` in interface `JmsSupport`
  Overrides:
    `createConsumer` in class `Jms11Support`
  Throws:
    `JMSException`

### createProducer

    public MessageProducer createProducer(Session session,
                                          Destination dest,
                                          boolean topic)
                                   throws JMSException

  Specified by:
    `createProducer` in interface `JmsSupport`
  Overrides:
    `createProducer` in class `Jms11Support`
  Throws:
    `JMSException`

### createDestination

    public Destination createDestination(Session session,
                                         String name,
                                         boolean topic)
                                  throws JMSException

  Specified by:
    `createDestination` in interface `JmsSupport`
  Overrides:
    `createDestination` in class `Jms11Support`
  Throws:
    `JMSException`

### createTemporaryDestination

    public Destination createTemporaryDestination(Session session,
                                                  boolean topic)
                                           throws JMSException

  Specified by:
    `createTemporaryDestination` in interface `JmsSupport`
  Overrides:
    `createTemporaryDestination` in class `Jms11Support`
  Throws:
    `JMSException`

### send

    public void send(MessageProducer producer,
                     Message message,
                     boolean persistent,
                     int priority,
                     long ttl,
                     boolean topic)
              throws JMSException

  Specified by:
    `send` in interface `JmsSupport`
  Overrides:
    `send` in class `Jms11Support`
  Throws:
    `JMSException`

### send

    public void send(MessageProducer producer,
                     Message message,
                     Destination dest,
                     boolean persistent,
                     int priority,
                     long ttl,
                     boolean topic)
              throws JMSException

  Specified by:
    `send` in interface `JmsSupport`
  Overrides:
    `send` in class `Jms11Support`
  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.